%
% Beispieldatenbasis fr das Stundenplanungssystem. WS9899
%

% Hierhinein wird der Stundenplan (hier: html) geschrieben.
outputFileName('ws9899.html').

/***********************/
/* Wochentage          */
/***********************/

tag('Montag',1).
tag('Dienstag',1).
tag('Mittwoch',1).
tag('Donnerstag',1).
tag('Freitag',1).
tag('Samstag',12).
tageOhneMittag(['Samstag']).
tageOhneMittag(_):-fail.

/***********************/
/* Zeiten              */
/***********************/

zeit('8:00' ,1).
zeit('9:30' ,1).
zeit('11:00',1).
zeit('Mittagspause',6).
zeit('13:45',1).
zeit('15:15',1).
zeit('16:45',1).
zeit('18:15',7).
mittagszeit(['11:00','Mittagspause','13:45']).

/***********************/
/* Rume 	       */
/***********************/
raum(hs1,[groesse(60),hs1,vorlesung,regular,beamer],1).
raum(hs2,[groesse(200),hs2,vorlesung,beamer,regular],3).
raum(hs3,[groesse(120),hs3,vorlesung,hs34,regular],2).
raum(hs4,[groesse(120),hs4,vorlesung,hs34,beamer,regular],2).
raum(hs5,[groesse(150),hs5,vorlesung,hs56,hiresBeamer,beamer,regular],4).
raum(hs6,[groesse(200),hs6,vorlesung,hs56,beamer,regular],4).

raum(sr1,[groesse(50),sr1,sr,regular],2).
raum(sr2,[groesse(15),sr2,sr,regular],2).
raum(sr3,[groesse(15),sr3,sr23,sr,regular],2).
raum(sr4,[groesse(15),sr4,sr,regular],2).

raum(werkstatt,[groesse(50),werkstatt,regular],2).
raum(etlab,[groesse(50),etlab,eLab,vorlesung,regular],2).
raum(bvaLab,[groesse(50),bvaLab,regular],2).
raum(robotlab,[groesse(20),robotlab,regular],2).
raum(elkLab,[groesse(35),elkLab,eLab,regular],2).
raum(netzlab,[groesse(45),netzlab,regular],2).
raum(rz1,[groesse(50),rz1,rz13,regular],2).
raum(rz2,[groesse(50),rz2,regular],2).
raum(rz3,[groesse(50),rz3,rz13,regular],2).
raum(rz4,[groesse(35),rz4,regular],2).
raum(mrz,[groesse(40),mrz,regular],2).
raum(medilab,[groesse(40),regular,medilab],2).
raum(caelab,[groesse(15),regular,caelab],2).

/************************/
/* Gruppen              */
/************************/
group(ii1,10).
group(ii2,6).
group(ii3,5).
group(ii4,6).
group(ii5,4).
group(ii6,5).
group(ii7,5).
group(ii8,6).

group(wi1,20).
group(wi2,12).
group(wi3,10).
group(wi4,11).
group(wi5,9).
group(wi6,10).
group(wi7,11).
group(wi8,9).

group(mi1,25).
group(mi2,12).
group(mi3,11).
group(mi4,10).
group(mi5,9).
group(mi6,9).
group(mi7,9).
group(mi8,9).

group(di1,20).
group(di2,10).
group(di3,9).
group(di4,8).
group(di5,9).
group(di6,9).
group(di7,9).
group(di8,8).

group(pi1,6).
group(pi2,4).
group(pi3,5).
group(pi4,4).
group(pi5,3).
group(pi6,4).
group(pi7,4).
group(pi8,4).

group(ui1,10).
group(ui2,9).
group(ui3,8).
group(ui4,9).

group(ai1,10).
group(ai2,9).
group(ai3,8).
group(ai4,8).

group(ea1,6).
group(ea2,4).
group(ea3,4).
group(ea4,3).
group(ea5,4).

group(ia1,10).
group(ia2,7).
group(ia3,6).
group(ia4,6).
group(ia5,7).

group(pa1,5).
group(pa2,3).
group(pa3,4).
group(pa4,3).
group(pa5,3).

group(dummy_a,0).

dummyGroup(dummy_a).
dummyGroup(_) :- fail.

subgroup(wi1PrgSpr1a,wi1,wi1PSpr1,10).
subgroup(wi1PrgSpr1b,wi1,wi1PSpr1,10).
subgroup(ia3UnixA,ia3,ia3Unix,4).
subgroup(ia3UnixB,ia3,ia3Unix,3).
subgroup(_,_,_,_) :- fail.

dozenten([ha,si,sc,pt,klk,ahr,al,an,bew,bi,bd,cho,gie,glu,hai,goe,pol,su,jac,kl,
          hi,kr,ue,wink,hn,hs,sb,gr,br,pd,wol,sti,wruk,di,wen,gla,franz,klickow,
	  klb,krueger,op,str,pk,rb,sw,sed,sm,stach,steinm,st,tern,theel,wd,wal]).
dozent(X) :- dozenten(Dozenten),member(X,Dozenten).

/***********************************************/
/* vorlesung(Name,Gruppen,Resourcen,Blocks)    */
/***********************************************/

/*****/
/* ha*/
/*****/

vorlesung('Analysis 1 a',   [pi1,ii1,di1,ha],[vorlesung,regular],[block2(1)]).
vorlesung('Analysis 1 a b',[pi1,ii1,di1,ha],[vorlesung,regular],[block2(1)]).
vorlesung('Analysis 1 b',   [wi1,mi1,ha],    [vorlesung,regular],[block2(1)]).
vorlesung('Analysis 1 b b',[wi1,mi1,ha],    [vorlesung,regular],[block2(1)]).

/****/
/*SI*/
/****/

vorlesung('GDP', [wi1,ii1,mi1,si], [vorlesung,hs2,regular], [block2(1)]).
vorlesung('OOP', [wi4,wi5,wi6,mi4,ii4,ii5,ii6,si], [vorlesung,hiresBeamer,regular], [single(2)]).
vorlesung('Unix & Internet', [wi3,wi4,ii3,ii4,mi3,si], [vorlesung,hiresBeamer,regular], [single(2)]).
vorlesung('Unix & Internet (IA)', [ia3,ia5,si], [vorlesung,hiresBeamer,regular], [single(2)]).
vorlesung('Expertensysteme', [wi6,wi7,ii6,si], [vorlesung,hiresBeamer,regular], [single(1)]).


/*********/
/*Schmitt*/
/*********/
vorlesung('Marketing',                [wi3,wi4,mi4,di3,ai1,sc], [vorlesung,regular],[single(2)]).
vorlesung('Service Mngmnt SocialEng', [wi5,wi6,ai1,ai3,sc],     [vorlesung,regular],[block2(1)]).
vorlesung('MultiMedia Seminar',       [mi4,sc],                 [vorlesung,regular],[single(1)]).


/***********/
/*Platte   */
/***********/

vorlesung('Chemie',		    [pi1,pi2,pa1,pt],           [hs2,regular]       ,[block2(1)]).
vorlesung('Phys.Chemie',	    [pi5,pi6,pt],               [hs34,regular]      ,[single(2)]).
vorlesung('Werkstoffkunde',	    [pi5,pi6,di3,pa5,ea5,pt],   [vorlesung,regular] ,[single(1)]).
vorlesung('Umweltanalytik',	    [di5,pi6,pi7,pt],           [vorlesung,regular] ,[single(1)]).
vorlesung('Umwelttechnik',	    [pa5,ea5,pt],               [vorlesung,regular] ,[single(1)]).
vorlesung('Sem. Umwelttech.',	    [ui4,di5,pi7,pi8,pt,pol,su],[sr,regular],        [single(1)]).
vorlesung('Umweltchemie',           [di5,pi5,pi6,pt],           [vorlesung,regular], [single(1)]).

/* Um Freiraum vor Phys.Chemie & Werkstoffkunde zu erhalten */
vorlesung('Dummy Pt 1',[pt],[freizeit],[single(1)]).
vorlesung('Dummy Pt 2',[pt],[freizeit],[single(1)]).
dummyVorlesung('Dummy Pt 1').
dummyVorlesung('Dummy Pt 2').


/**********/
/* Kaleck */
/**********/

vorlesung('Rechnernetze',       [ii3,ii4,ii5,klk],[vorlesung,hs6,regular],[singleNoCluster(2)]).
vorlesung('Rechnernetze-bung', [wi4,wi5,wi6,klk],[netzlab,regular],      [block2(1)]).

/***********/
/* Ahrens  */
/***********/


vorlesung('uP-Progr',             [wi3,ahr],                  [regular,rz3],            [single(2)]).
vorlesung('PPS-Prakt a',          [wi4,wi5,wi6,ahr],          [regular,oder([rz2,rz3])],[block2(1)]).
vorlesung('PPS-Prakt b',          [ai3,di5,wol],              [regular,oder([rz2,rz3])],[block2(1)]).
vorlesung('Prgrsprachen 2 b a',  [ia3,ahr,sti,kr],           [regular,oder([rz1,rz4])],[single(2)]).
vorlesung('Prgrsprachen 2 b b',  [wi2,ahr,sti,hi],           [regular,oder([rz1,rz4])],[single(2)]).
vorlesung('Prgrsprachen 2 b c',  [ii2,di3,ahr,sti,hi],       [regular,oder([rz1,rz4])],[single(2)]).
vorlesung('Prgrsprachen 1 b a',  [wi1PrgSpr1a,ahr,hn],       [regular,oder([rz1,rz3])],[single(2)]).
vorlesung('Prgrsprachen 1 b b',  [wi1PrgSpr1b,ahr,sti],      [regular,oder([rz1,rz3])],[single(2)]).

/***********/
/* Albrecht*/
/***********/

vorlesung('Elektrotechnik', [ia1,ea1,pa1,al],[vorlesung,regular],[single(3)]).
vorlesung('Elektronik 3',   [pa3,ea3,al],    [vorlesung,etlab,regular],[single(2)]).
vorlesung('El.Messtechnik', [pa3,ea3,al],    [vorlesung,etlab,regular],[block2(1)]).
vorlesung('Digitaltechnik1',[ea1,pa1,al],    [vorlesung,etlab,regular],[block2(1)]).
vorlesung('uController Al',    [ea1,pa1,al],    [vorlesung,etlab,regular],[block2(1)]).

/************/
/* Anders   */
/************/

vorlesung('E-Lehre 2',             [pi3,an],[vorlesung,regular],[single(1)]).
vorlesung('b E-Lehre',            [pi3,an],[vorlesung,regular],[single(1)]).
vorlesung('Atom & Kernphysik',     [pi3,pi4,pi5,pa5,an],[vorlesung,regular],[single(2)]).
vorlesung('Mechanik 3',            [pa3,an],[vorlesung,regular],[single(1)]).
vorlesung('b Mechanik 3',         [pa3,an],[vorlesung,regular],[single(1)]).
vorlesung('Mechanik 1',            [pa1,ea1,ia1,an],[vorlesung,regular],[single(1)]).
vorlesung('Fertigungstech Elk',	   [pi5,pi6,di5,ii3,ii4,ii6,an],[vorlesung,regular],[single(1)]).
vorlesung('Dnne Schichten',       [pi6,an],[vorlesung,regular],[single(1)]).



/**********/
/* Bewicke*/
/**********/

vorlesung('Commercial English',[wi2,bew],[vorlesung,regular],[single(1)]).
vorlesung('Business English',  [wi3,bew],[vorlesung,regular],[block2(1)]).
vorlesung('Tech. English',     [ai1,di3,bew],[vorlesung,regular],[single(1)]).

/**********/
/* Biskop */
/**********/

vorlesung('Phys.Grundl.Prakt',[pi1,pi2,pa3,pa5,ii3,bi],    [etlab,regular],[block3(1)]).
vorlesung('PhysPrakt (B)',    [pi3,pi4,di3,bi],[etlab,regular],[block3(1)]).
vorlesung('Elektronik 1 b',  [ea3,bi],        [etlab,regular],[block2(1)]).
vorlesung('SMD-Tech',         [ea3,ii5,bi],    [etlab,regular],[block2(1)]).
vorlesung('Digitech 1 b a',  [ia1,bi,bd],     [hs6,regular],  [single(2)]).
vorlesung('Digitech 1 b b',  [pi1,pi2,bi],    [etlab,regular],[single(2)]).
vorlesung('Elektrotech 1 b', [ea1,pa1,ia1,bi],[vorlesung,regular],[single(1)]).

/***********/
/* Bodaine */
/***********/

vorlesung('Mathe 1',       [ia1,ea1,pa1,bd],[vorlesung,regular],[single(4)]).
vorlesung('Numa',          [ii2,ii3,bd],    [vorlesung,regular],[single(1)]).
vorlesung('Seminar Bd',    [ia5,bd,wol],    [vorlesung,regular,oder([hs5,hs6])],[single(1)]).
vorlesung('Programmierung',[ea1,pa1,bd],    [vorlesung,regular],[single(1)]).
vorlesung('uController',   [pi3,pi4,bd],    [vorlesung,etlab,regular],[block2(1)]).

/***************/
/* Cholewa     */
/***************/

vorlesung('Gemeinschaftskunde',[pa3,ea3,ia3,cho],[vorlesung,regular],[single(1)]).

/***************/
/* Giersch     */
/***************/

vorlesung('Makrokonomie',[ai1,gie],[vorlesung,regular],[block2(1)]).

/************/
/*  Glsing */
/************/
vorlesung('Werkstattpraktikum',[ea3,pa3,glu],[werkstatt,regular],[block3(1)]).

/*************/
/* Goettner  */
/*************/

vorlesung('Fhrungskrfte Tr',     [pi8,ii7,ii8,wi6,wi7,goe],[vorlesung,hs5,regular],[block2(1)]).
vorlesung('Fhrungskrfte AC-Krea',[pi8,ii7,ii8,wi6,wi7,goe],[sr1,regular],[block2(1)]).

/*************/
/* Hainziger */
/*************/

vorlesung('Engl FHR 3Sem',[pa3,ia3,ea3,hai],[vorlesung,regular],    [single(2)]).
vorlesung('Engl FHR 5Sem',[pa5,ia5,ea5,hai],[sr1,regular],    [single(2)]).

/**************/
/* Jacobsen   */
/**************/
vorlesung('Tech. AV Medien',[mi4,jac],[vorlesung,oder([hs5,hs6]),regular],[single(1)]).

/***************/
/* Kleta       */
/***************/
vorlesung('BVA b.',      [ii5,ii6,kl],    [bvaLab,regular],[block2(1)]).
vorlesung('up-HW Prakt.', [ii5,ii6,ea5,kl],[elkLab,regular],[single(1)]).
vorlesung('PrgSpr I b a',[ui1,kl,hi],     [oder([rz1,rz3]),regular],  [block2(1)]).
vorlesung('PrgSpr I b b',[ii1,wi1,kl,kr], [oder([rz1,rz3]),regular],  [block2(1)]).

/********/
/* Hinck*/
/********/

vorlesung('AV-Workshop 1',  [mi1,hi,kr,ue],     [mrz,regular],[block2(1)]).
vorlesung('Musikvideoproj.',[mi4,hi,kr,wink],   [mrz,regular],[block2(1)]).

/*************/
/* Huslein  */
/*************/

vorlesung('ProgrSpr. I',         [ii1,mi1,wi1,hs],    [regular],[single(2)]).
vorlesung('ProgrSpr. II',        [di3,ii2,wi2,ia3,hs],[regular],[single(2)]).
vorlesung('SW-Engineering',      [ai1,ii3,ii4,ia3,mi3,mi4,wi2,wi3,hs],[regular],[single(1)]).
vorlesung('Systemanalyse',       [ii6,ii7,mi4,wi5,wi6,wi7,hs],[regular],[single(1)]).
vorlesung('Praktikum kobilanzen a',[ui4,hs,hn,gla],[rz1,regular],[block3NoCluster(1)]).
vorlesung('Praktikum kobilanzen b',[ui4,hs,hn,gla],[sr1,regular],[block2NoCluster(1)]).

/************/
/* Hnisch  */
/************/
vorlesung('SAP',             [ai3,wi6,wi7,hn],     [hs56,vorlesung,regular],[single(2)]).
vorlesung('SAP b a',        [ai3,wi7,hn,gla],     [oder([rz3,rz2]),regular],[single(1)]).
vorlesung('SAP b b',        [wi6,wi7,hn,gla],     [oder([rz2]),regular],[single(1)]).
vorlesung('Standardsoftware',[di1,pi1,hn,gla,sb],  [rz13,regular],[single(1)]).
vorlesung('ProgrSprachen1 ',[mi1,hn,kr],          [regular,oder([rz1,rz2,rz3])],[block2(1)]).
vorlesung('Fibu-b         ',[di3,wi3,wi4,mi3,hn,gla],[rz13,regular],[single(1)]).

/*************/
/* Gerhardt  */
/*************/

vorlesung('OR2',          [wi4,wi5,wi6,di5,ai3,gr],[beamer,regular],[single(2)]). 
vorlesung('Statistik 2',  [wi2,wi3,wi4,di3,ai3,gr],[regular],      [single(2)]).  
vorlesung('Datenbanken',  [di5,ai1,ia3,gr],        [regular],      [single(1)]).  
vorlesung('Datenbanken 1',[di5,ii4,ii5,mi3,mi4,wi3,wi4,wi5,gr],[regular],[single(2)]).      

/*************/
/* Brinkmann */
/*************/

vorlesung('Analysis 2',       [pi2,ii2,br],[regular],[single(2)]).
vorlesung('Analysis 2 b',    [pi2,ii2,br],[regular],[single(1)]).
vorlesung('Akustik',          [pi3,pa3,pa5,br],[regular],[single(1)]).
vorlesung('Vektorrechnung',   [pa1,ia1,ea1,br],[regular],[single(1)]).
vorlesung('Lin.Alg.',         [pa3,ea3,ia3,br],[regular],[single(1)]).
vorlesung('Lin.Alg. b',      [pa3,ea3,ia3,br],[regular],[single(1)]).
vorlesung('Finanzmathe',      [ai1,di3,wi1,wi2,br],[regular],[single(2)]).
vorlesung('OptikFarbeAkustik',[mi1,br,pd],[regular],[single(1)]).


/*************/
/* Wolter    */
/*************/

vorlesung('Interneteinfhrung',[ii1,mi1,wi1,wol,di,wen],[regular,vorlesung,oder([hs5,hs2,hs6])],[single(1)]).
vorlesung('UNIX b a',         [ia3UnixA,di,wol],       [regular,oder([rz1,rz3])],[block2(1)]).
vorlesung('UNIX b b',         [ia3UnixB,ia5,gla,wol],  [regular,oder([rz1,rz3])],[block2(1)]).
vorlesung('Rechnernetze 2',    [ia3,wol],               [regular,hs5],            [single(1)]).
vorlesung('Rechnernetze Prakt',[ia3,wol],               [regular,oder([rz1,rz3])],  [single(1)]).

/************/
/* Winkel   */
/************/

vorlesung('Gundl. Mediengest',   [mi1,wink],[regular,vorlesung],    [single(2)]).
vorlesung('Gestaltungstech.',    [mi1,wink],[regular,vorlesung],    [single(2)]).
vorlesung('Gestaltungstech. b', [mi1,wink],[regular,rz1],[single(2)]).
vorlesung('Gundl. Mediengest b',[mi1,wink],[regular,medilab], [single(2)]).

/*************/
/* Glandt    */
/*************/

vorlesung('G_D_P b',[wi1,mi1,gla],[regular,hs2,vorlesung],[single(1)]).
vorlesung('Unix & INet a',[wi3,wi4,ii3,ii4,gla,di],[regular,oder([rz1,rz3])],[block2(1)]).
vorlesung('Unix & INet b',[mi3,gla,di],            [regular,oder([rz1,rz3])],[block2(1)]).

/**************/
/* Dietze     */
/**************/

vorlesung('OOP b a',[ia5,di,sb],	 [regular,oder([rz1,rz3])],[block2(1)]).
vorlesung('OOP b b',[mi4,di,sb],	 [regular,oder([rz1,rz3])],[block2(1)]).
vorlesung('OOP b c',[ii4,ii5,ii6,di,sb],[regular,oder([rz1,rz3])],[single(1)]).
vorlesung('OOP b d',[wi4,di,sb],	 [regular,oder([rz1,rz3])],[single(1)]).
vorlesung('OOP b e',[wi5,wi6,di,sb],	 [regular,oder([rz1,rz3])],[block2(1)]).

/************/
/* Franz    */
/************/

vorlesung('Gundl. Franz.' ,[di1,franz],[regular,vorlesung],[single(1)]).
vorlesung('Wi.Franzsisch',[di3,franz],[regular,vorlesung],[single(1)]).

/************/
/* Klickow  */
/************/

vorlesung('Patentwesen',[pi7,pi8,ii7,ii8,klickow],[regular,vorlesung],[single(1)]).

/*************/
/* Kolb      */
/*************/

vorlesung('Computergraphik',[mi4,ii5,ii6,klb],[vorlesung,regular],[single(1)]).

/************/
/* Krger   */
/************/

vorlesung('Modellbas.AW-Entw.',[wi6,wi7,krueger],[regular,oder([rz1,rz3])],[block3(1)]).

/*************/
/* Opitz     */
/*************/

vorlesung('HW-SW-Proj',[ea3,op,str],    [regular,caelab],[block2(1)]).
vorlesung('PCB-Design',[ii4,ii5,op,str],[regular,caelab],[block2(1)]).
vorlesung('Elektronik Pr.a',[ii3,ii4,ii5,op],[regular,elkLab],[block3(1)]).
vorlesung('Elektronik Pr.b',[pi5,op],[regular,elkLab],[block3(1)]).

/**************/
/* Poock-H.   */
/**************/

vorlesung('Elektronik_1',  [ii3,ii4,pi4,pi5,pk],[regular,vorlesung,hs5],[single(2)]).
vorlesung('Elektronik1 MI',[mi1,pk],            [regular,vorlesung,hs5],[single(1)]).
vorlesung('Workshop HW',   [pk],                [regular,netzlab],[single(4)]).

alleBloeckeAmSelbenTag('Workshop HW').

/****************/
/* Raubach      */
/****************/

vorlesung('Rechnungswesen1a', [wi1,wi3,wi4,rb],        [hs2,regular,vorlesung],[single(2)]).
vorlesung('Unternehmensf. ',  [di5,mi4,wi6,rb],        [hs5,regular,vorlesung],[single(2)]).
vorlesung('Proj.Mngmnt',      [di5,mi4,pi6,wi6,ai3,rb],[hs5,regular,vorlesung],[single(1)]).
vorlesung('Medienmrkte',     [mi3,rb],                [hs5,regular,vorlesung],[single(1)]).
vorlesung('WI-Seminar',       [rb],                    [sr,regular],           [single(1)]).
vorlesung('Unternehmensf.b', [di5,mi4,wi6,rb],        [hs6,regular,vorlesung],[block2(1)]).
vorlesung('Rechnungswesen1b', [di1,ai1,mi3,rb],        [hs2,regular,vorlesung],[single(2)]).

/*************/
/* Schwanitz */
/*************/

vorlesung('BWL',              [ai1,di1,ii5,ii6,ii7,wi1,ea3,pa3,sw],[hs2,regular,vorlesung],[single(2)]).
vorlesung('Banking&Finance',  [wi5,wi6,ai3,sw],                    [regular,vorlesung],    [single(1)]).
vorlesung('DecisionSupp.Sys.',[wi5,wi6,ai3,sw],                    [regular,vorlesung],    [single(1)]).

/**************/
/* Sedelmayer */
/**************/

vorlesung('Deutsch FHR 3Sem',[pa3,ia3,ea3,sed],[vorlesung,regular],[single(2)]).
vorlesung('Deutsch FHR 5Sem',[pa5,ia5,ea5,sed],[vorlesung,regular],[single(2)]).

/************/
/* Smollich */
/************/

vorlesung('Ess. Engl. a',[ai1,di1,sm],[vorlesung,regular],[single(1)]).
vorlesung('Ess. Engl. b',[wi1,sm],    [vorlesung,regular],[single(1)]).

/***************/
/* Stachoinski */
/***************/

vorlesung('Dig. Druckvorst.',[mi3,stach],[vorlesung,regular],[single(1)]).

/****************/
/* Steinmetz    */
/****************/

vorlesung('Worksh. Audio',[mi3,steinm],[regular,oder([rz3,rz4])],[block2(1)]).

/**************/
/* Stenzel    */
/**************/

vorlesung('Regeltech.a',       [di5,pi5,pi6,ii5,ii6,st],[vorlesung,regular,beamer],[single(1)]).
vorlesung('Regeltech.b',       [pi5,pi6,ii5,ii6,st],    [vorlesung,regular,beamer],[single(1)]).
vorlesung('b Regeltech',      [di5,pi5,pi6,ii5,ii6,st],[vorlesung,regular,beamer],[single(1)]).
vorlesung('Elektrotech 1',     [di1,pi1,ii1,ii2,st],    [vorlesung,regular],       [single(2)]).
vorlesung('Elektrotech 2a',    [di3,pi3,ii3,st],        [vorlesung,regular],       [single(1)]).
vorlesung('Elektrotech 2b',    [ii3,st],                [vorlesung,regular],       [single(1)]).
vorlesung('b Elektrotech 2',  [di3,ii3,pi3,st],        [vorlesung,regular],       [single(1)]).
vorlesung('El. Messtech',      [pi5,ii3,ii4,ii5,st],    [vorlesung,regular],       [single(1)]).
vorlesung('Dig. Kommunikation',[ii3,ii4,mi3,st],        [vorlesung,regular,beamer],[single(1)]).

/************/
/* Sticht   */
/************/

vorlesung('Digitech. Prakt.',[ii2,ii3,ii4,sti],[elkLab,regular],[single(2)]).

/***********/
/* Subke   */
/***********/

vorlesung('Mech-Fluid-Schwing.',[pi1,su],            [vorlesung,regular],[single(4)]).
vorlesung('TM-Statik',          [pi2,pi3,pi4,su],    [vorlesung,regular],[single(1)]).
vorlesung('Waerme2',            [pi3,pi4,su],        [vorlesung,regular],[single(1)]).
vorlesung('Vakuum ',            [pi7,pi8,pa5,di5,su],[vorlesung,regular],[single(1)]).
vorlesung('Einf.Physik',        [ii1,di1,su],        [vorlesung,regular],    [single(2)]).
vorlesung('Energie-Technik',    [ui4,su],            [vorlesung,regular],    [single(1)]).
vorlesung('Patente',            [pi7,pi8,ii7,ii8,su],[vorlesung,regular],    [single(1)]).

/************/
/* Ternben */
/************/

vorlesung('Medienrecht',[mi3,mi4,tern],[vorlesung,regular],[single(1)]).

/************/
/* Theel    */
/************/

vorlesung('CAD-Anwendungen',   [pa5,pi5,theel],    [regular,rz1],[single(1)]).
vorlesung('Prakt.Prod.Tech',   [di5,theel,wd],     [regular,sr3],[single(1)]).
vorlesung('Kostruktion b',    [pi6,pi7,theel,wd], [regular,sr3],[single(3)]).
vorlesung('Autocad 3D',        [di5,pi5,pa5,theel],[regular,rz1],[single(1)]).
vorlesung('Sem.Fertigungstech',[di5,theel,wd],     [regular,sr3],[single(1)]).

/************/
/* Uelzmann */
/************/

vorlesung('EDV 1',          [ii1,wi1,mi1,ue],        [vorlesung,regular],    [single(1)]).
vorlesung('EDV 2',          [ii2,ii3,wi2,wi3,mi3,ue],[vorlesung,regular],    [single(1)]).
vorlesung('Betriebssysteme',[ii4,ii5,wi4,wi5,ia5,ue],[vorlesung,regular],    [single(1)]).
vorlesung('Robotik',        [ii4,ii5,ii6,ue],        [hs5,vorlesung,regular],[single(1)]).
vorlesung('upHW',           [ii5,ii6,ii7,ii8,ue],    [vorlesung,regular],    [single(1)]).

/************/
/* Waltert  */
/************/

vorlesung('Journalismus',[mi3,wal],[vorlesung,regular],[block2(1)]).

/***********/
/* Wenig   */
/***********/

vorlesung('ROBOTIK Pr',[ii6,ii7,wen],[regular,robotlab],[block2(1)]).

/************/
/* Wiedmann */
/************/

vorlesung('Grundl. Tech.Sys',[di1,pi1,pi2,pa3,wd],[vorlesung,regular],[single(1)]).
vorlesung('Konstruktion 2  ',[pi4,pi5,wd],        [vorlesung,regular],[single(1)]).
vorlesung('Fertigungstech 2',[di5,wd],            [oder([hs3,hs4]),vorlesung,regular],[single(1)]).

/*==================================================================================================*/
/*==================================================================================================*/
/*==================================================================================================*/

/***********************************************/
/* Dozent Nicht Am Um                          */
/***********************************************/
dozentNichtAmUm(si,'Donnerstag',['13:45','15:15','16:45','18:15']).
dozentNichtAmUm(an,'Mittwoch',['16:45','18:15']).
dozentNichtAmUm(bew,'Dienstag',['8:00','15:15','16:45','18:15']).
dozentNichtAmUm(bew,'Mittwoch',['8:00','15:15','16:45','18:15']).
dozentNichtAmUm(bew,'Donnerstag',['8:00','15:15','16:45','18:15']).
dozentNichtAmUm(glu,'Freitag',['13:45','15:15','16:45','18:15']).
dozentNichtAmUm(hai,'Montag',['8:00','9:30','Mittagspause','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(hai,'Dienstag',['9:30','11:00','Mittagspause','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(hai,'Mittwoch',['8:00','9:30','11:00','Mittagspause','13:45','18:15']).
dozentNichtAmUm(hai,'Donnerstag',['8:00','9:30','11:00','Mittagspause','13:45','18:15']).
dozentNichtAmUm(wink,'Donnerstag',['8:00','9:30','11:00','Mittagspause']).
dozentNichtAmUm(franz,'Mittwoch',  ['8:00','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(franz,'Donnerstag',['8:00','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(franz,'Freitag',   ['8:00','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(sed,'Mittwoch',  ['8:00','9:30','11:00','Mittagspause','16:45','18:15']).
dozentNichtAmUm(sed,'Donnerstag',['8:00','9:30','11:00','Mittagspause','16:45','18:15']).
dozentNichtAmUm(sm,'Montag',  ['8:00','9:30','11:00','Mittagspause','13:45','15:15','18:15']).
dozentNichtAmUm(sm,'Dienstag',['9:30','11:00','Mittagspause','13:45','15:15','18:15']).
dozentNichtAmUm(sm,'Mittwoch',['8:00','9:30','11:00','Mittagspause','15:15','18:15']).
dozentNichtAmUm(sm,'Donnerstag',['8:00','9:30','11:00','Mittagspause','13:45','15:15','18:15']).
dozentNichtAmUm(steinm,'Dienstag',['8:00','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(steinm,'Mittwoch',['8:00','13:45','15:15','16:45','18:15']).
dozentNichtAmUm(st,'Mittwoch',['15:15','16:45','18:15']).
dozentNichtAmUm(wal,'Freitag',['8:00','9:30','11:00','Mittagspause','16:45','18:15']).
dozentNichtAmUm(wal,'Donnerstag',['8:00','9:30','11:00','Mittagspause','16:45','18:15']).
dozentNichtAmUm(_,_,_) :- fail.

/**********************************************/
/* DozentNichtAm                              */
/**********************************************/
dozentNichtAm(ha,['Mittwoch','Samstag']).
dozentNichtAm(hai,['Freitag','Samstag']).
dozentNichtAm(sc,['Montag','Dienstag']).
dozentNichtAm(pt,['Montag']).
dozentNichtAm(bew,['Montag','Freitag','Samstag']).
dozentNichtAm(bi,'Freitag').
dozentNichtAm(bd,['Freitag','Samstag']).
dozentNichtAm(gie,['Dienstag','Mittwoch','Donnerstag','Samstag']).
dozentNichtAm(wink,['Montag','Freitag','Samstag']).
dozentNichtAm(franz,['Montag','Dienstag','Samstag']).
dozentNichtAm(rb,['Donnerstag']).
dozentNichtAm(sed,['Montag','Dienstag','Freitag','Samstag']).
dozentNichtAm(sm,['Freitag','Samstag']).
dozentNichtAm(steinm,['Montag','Donnerstag','Freitag','Samstag']).
dozentNichtAm(tern,['Samstag']).
dozentNichtAm(wal,['Montag','Dienstag','Mittwoch','Samstag']).
dozentNichtAm(wd,['Montag']).
dozentNichtAm(_,_) :- fail.

/***********************************************/
dozentNichtUm(ha,['8:00','Mittagspause','13:45','15:15','16:45','18:15']).
dozentNichtUm(bd,'8:00').
dozentNichtUm(gie,['8:00','9:30','11:00','Mittagspause','13:45']).
dozentNichtUm(tern,['8:00','9:30','11:00','Mittagspause','13:45']).
dozentNichtUm(ue,['16:45','18:15']).
dozentNichtUm(_,_) :- fail.

/***********************************************/
/* vorlesungsfreieTage                         */
/***********************************************/
vorlesungsfreieTage(_,_) :- fail.

/***********************************************/
/* Vorlesung Nicht Am                          */
/***********************************************/
vorlesungNichtAm('Marketing',['Montag','Dienstag','Mittwoch','Samstag']).
vorlesungNichtAm('Sem. Umwelttech.',['Montag','Dienstag','Mittwoch','Donnerstag','Samstag']).
vorlesungNichtAm('Rechnernetze-bung',['Dienstag','Donnerstag','Samstag']).
vorlesungNichtAm(_,_) :- fail.

/***********************************************/
/* Vorlesung Nicht Um                          */
/***********************************************/
vorlesungNichtUm('Rechnernetze-bung',['8:00','9:30','11:00','Mittagspause','13:45']).
vorlesungNichtUm('Datenbanken 1',['8:00']).
vorlesungNichtUm('Workshop HW',['8:00','16:45','18:15']).
vorlesungNichtUm(_,_) :- fail.

/***********************************************/
/* Vorlesung Nicht Am Um                       */
/***********************************************/
vorlesungNichtAmUm('Sem. Umwelttech.','Freitag',['8:00','9:30','11:00','Mittagspause','18:15']).
vorlesungNichtAmUm(_,_,_) :- fail.

/***********************************************/
vorlesungAmUm('Phys.Grundl.Prakt','Montag','13:45').
vorlesungAmUm('Gemeinschaftskunde','Freitag','8:00').
vorlesungAmUm('Fhrungskrfte Tr','Freitag','13:45').
vorlesungAmUm('Fhrungskrfte AC-Krea','Mittwoch','13:45').
vorlesungAmUm('Tech AV Medien','Montag','16:45').
vorlesungAmUm('Praktikum kobilanzen a','Samstag','9:30').
vorlesungAmUm('Praktikum kobilanzen b','Freitag','15:15').
vorlesungAmUm('Patentwesen','Montag','13:45').
vorlesungAmUm('Dig. Druckvorst.','Mittwoch','8:00').
vorlesungAmUm('Energie-Technik','Freitag','13:45').
/*vorlesungAmUm('Modellbas.AW-Entw.','Freitag','13:45').*/
vorlesungAmUm(_,_,_) :- fail.

/***********************************************/
/* Vorlesung Um                                */
/***********************************************/
vorlesungUm('MultiMedia Seminar','11:00').
vorlesungUm('WI-Seminar','Mittagspause').
vorlesungUm(_,_) :- fail.

/***********************************************/
/* Vorlesung Am                                */
/***********************************************/
vorlesungAm(_,_) :- fail.

/***********************************************/
/* vorlesungenNichtZusammenhngend             */
/***********************************************/
vorlesungenNichtZusammenhaengend(_,_) :- fail.
vorlesungenNichtZusammenhaengend(_) :- fail.

/***********************************************/
/* vorlesungenHintereinander                   */
/***********************************************/
vorlesungenHintereinander('Dummy Pt 1','Phys.Chemie').
vorlesungenHintereinander('Dummy Pt 2','Werkstoffkunde').
vorlesungenHintereinander(_,_):-fail.

/***********************************************/
/* vorlesungen(Nicht)AmSelbenTag               */
/***********************************************/
vorlesungenAmSelbenTag(_,_):-fail.
vorlesungenNichtAmSelbenTag(_,_):-fail.

/***********************************************/
/* alle Bloecke am selben Tag                  */
/***********************************************/
alleBloeckeAmSelbenTag(_) :- fail.

/***********************************************/
vorlesungenGleichzeitig('PPS-Prakt a','PPS-Prakt b').
vorlesungenGleichzeitig(_,_):-fail.

/***********************************************/
vorlesungenAnEinemTag('Gundl. Franz.','Wi.Franzsisch').
vorlesungenAnEinemTag(_,_) :- fail.

vorlesungenNichtAnEinemTag(_,_) :- fail.


/***********************************************/
/* Termine Nach Absprache                      */
/***********************************************/
terminNachAbsprache('WI-Seminar') :-!.
terminNachAbsprache('Projektstudium SC') :-!.
terminNachAbsprache('Prakt. verfahrenstech.') :-!.
terminNachAbsprache('BVA b.') :- !.
terminNachAbsprache(_) :- fail.








